# This module defines the beta server instance which 

resource "aws_key_pair" "beta_ssh" {
  key_name = var.beta_public_key_path
  public_key = file(var.beta_public_key_path)
}

resource "aws_instance" "beta" {
  ami = var.beta_ami_id
  instance_type = var.beta_instance_type

  key_name = var.beta_public_key_path

  private_ip = "10.0.1.11"
  vpc_security_group_ids = [
    aws_security_group.general_web_req.id,
    aws_security_group.remote_ssh_rec.id
  ]

  subnet_id = aws_subnet.crete_subnet.id

  tags = {
    Name = "Beta Host"
  }
}
